def var bool as logical no-undo.


/* tt1 */
def temp-table tt1
field f1 as character
field f2 as character
field f3 as int
field f4 as int.

create tt1.
assign f1 = "aa"
f2 = "ccc"
f3 = 3
f4 = 4.

def buffer b1 for tt1.
def var hBuffer1 as handle.
hBuffer1 = buffer b1:handle.

/* tt2 */
def temp-table tt2
field f1 as character
field f2 as character
field f3 as int
field f4 as int.

create tt2.
assign tt2.f1 = "aa2"
tt2.f2 = "ff"
tt2.f3 = 32
tt2.f4 = 4.

def buffer b2 for tt2.
def var hBuffer2 as handle.
hBuffer2 = buffer b2:handle.


/* tt3 */
def temp-table tt3
field f1 as character
field f2 as character
field f3 as int.

create tt3.
assign tt3.f1 = "aa"
tt3.f2 = "bb"
tt3.f3 = 3.

def buffer b3 for tt3.
def var hBuffer3 as handle.
hBuffer3 = buffer b3:handle.


/* tt4 */
def temp-table tt4
field f1 as int
field f2 as character
field f3 as int.

create tt4.
assign tt4.f1 = 7
tt4.f2 = "bb"
tt4.f3 = 3.

def buffer b4 for tt4.
def var hBuffer4 as handle.
hBuffer4 = buffer b4:handle.


/* tt5 */
def temp-table tt5
field f1 as character
field f2 as int
field f3 as int
field f4 as int.

create tt5.
assign tt5.f1 = "aa"
tt5.f2 = 55
tt5.f3 = 3
tt5.f4 = 4.

def buffer b5 for tt5.
def var hBuffer5 as handle.
hBuffer5 = buffer b5:handle.


hBuffer4:FIND-FIRST().
hBuffer1:FIND-FIRST().
hBuffer2:FIND-FIRST().
hBuffer3:FIND-FIRST().
hBuffer5:FIND-FIRST().


message "Test 1000.1".

DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4, "f1,     f2,     f3", "f1,f1").
message "Result 1000.1: " string(bool).
END.



DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer5).
message "Result hBuffer1:buffer-compare(hBuffer5): " string(bool).
END.


def var result as character.

DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COMPARE tt1 TO tt2 SAVE RESULT IN result.
message "BUFFER-COMPARE tt1 TO tt2: " result.
END.

DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COMPARE tt1 EXCEPT f2 TO tt2 SAVE RESULT IN result.
message "Result statement 0.001: " result.
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-copy(hBuffer2, "f1,     f2,     f3", "f2,f2").
message "Result 1.10001: " string(bool).
END.

message "tt1.f1: " tt1.f1.
message "tt1.f2: " tt1.f2.
message "tt1.f3: " tt1.f3.

message "tt2.f1: " tt2.f1.
message "tt2.f2: " tt2.f2.
message "tt2.f3: " tt2.f3.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer2).
message "Result 7.111 (the same): " string(bool).
END.


message "tt1.f1: " tt1.f1.
message "tt1.f2: " tt1.f2.
message "tt1.f3: " tt1.f3.

message "tt2.f1: " tt2.f1.
message "tt2.f2: " tt2.f2.
message "tt2.f3: " tt2.f3.

DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer2).
message "Result 7.1: " string(bool).
END.

message "tt1.f1: " tt1.f1.
message "tt1.f2: " tt1.f2.
message "tt1.f3: " tt1.f3.

message "tt2.f1: " tt2.f1.
message "tt2.f2: " tt2.f2.
message "tt2.f3: " tt2.f3.

/*
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-copy(hBuffer4).
message "Result 1.01: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-copy(hBuffer4).
message "Result 1.03: " string(bool).
END.
*/


message "before compar".

message "tt1.f1: " tt1.f1.
message "tt1.f2: " tt1.f2.
message "tt1.f3: " tt1.f3.
message "tt1.f4: " tt1.f4.

message "tt4.f1: " tt4.f1.
message "tt4.f2: " tt4.f2.
message "tt4.f3: " tt4.f3.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer4,"case-sensitive","f3").
message "Result 2000: " string(bool).
END.


message "Test 7.2".


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4, "f1,     f2,     f3", "f1,f1").
message "Result 7.2: " string(bool).
END.

message "Test 1.1".

DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4, "f1,     f2,     f3", "f2,f2").
message "Result 1.1: " string(bool).
END.

message "Test 1.2".

DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4, "", "f1,f1").
message "Result 1.2: " string(bool).
END.

message "Test 1.3".

DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4).
message "Result 1.3: " string(bool).
END.

message "Test 2".


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer4).
message "Result 2: " string(bool).
END.

message "Test 3".

DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4, "", "f1,f1").
message "Result 3: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4, "", "f1,f2").
message "Result 4: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4, "", "f1,f2,f1,f2").
message "Result 5: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4, "", "f1,f2,f5,f2").
message "Result 6: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-copy(hBuffer4).
message "Result 7: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer2).
message "Result 8: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-copy(hBuffer2).
message "Result 9: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer2).
message "Result 10: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer3).
message "Result 11: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-compare(hBuffer1).
message "Result 12: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "f1,f1").
message "Result 13: " string(bool).
END.



assign tt2.f1 = "aa"
tt2.f2 = "bb"
tt2.f3 = 3
tt2.f4 = 6.

DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer2).
message "Result 14: " string(bool).
END.


assign tt2.f1 = "aA"
tt2.f2 = "bb"
tt2.f3 = 3
tt2.f4 = 4.

DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer2).
message "Result 15: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer2, "binary").
message "Result 16: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive").
message "Result 17: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "f1").
message "Result 18: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "f11").
message "Result 19: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer3).
message "Result 20: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer3, "binary").
message "Result 21: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer3, "case-sensitive").
message "Result 22: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer3, "case-sensitive", "f1").
message "Result 23: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer3, "case-sensitive", "f11").
message "Result 24: " string(bool).
END.


message "SPECIAL ERRORS".

message "Text for [case-sensitive], [], [        ,                    ]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "        ,                      ").
message "Result 25: " string(bool).
END.


message "Text for [case-sensitive], [], [,]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", ",").
message "Result 26: " string(bool).
END.


message "Text for [case-sensitive], [], [f3,]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "f3,").
message "Result 27: " string(bool).
END.


message "Text for [case-sensitive], [], [rrr, xxx]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "rrr, xxx").
message "Result 28: " string(bool).
END.



message "Text for [case-sensitive], [], [rrr.bg, xxx]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "rrr.bg, xxx").
message "Result 29: " string(bool).
END.


message "Text for [case-sensitive], [], [f1.aa, f2.aa]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "f1.aa, f2.aa").
message "Result 30: " string(bool).
END.

message "Text for [case-sensitive], [], [12, 34]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "12, 34").
message "Result 31: " string(bool).
END.

message "Text for [case-sensitive], [], [rrr, xxx, yyy]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "rrr, xxx, yyy").
message "Result 32: " string(bool).
END.

message "Text for [case-sensitive], [], [f1, xxx]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "f1, xxx").
message "Result 33: " string(bool).
END.

message "Text for [case-sensitive], [], [rrr, f2]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "rrr, f2").
message "Result 34: " string(bool).
END.


message "Test for [case-sensitive], [], [rrr]".
/*Pairs list had too many pairs or odd number of entries. (9035)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "rrr").
message "Result 36: " string(bool).
END.

message "Test for [case-sensitive], [], []".
/*ignored*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "").
message "Result 37: " string(bool).
END.

message "Test for [case-sensitive], [uuuuu, kkkkk, 123], []".
/*ignored*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "uuuuu, kkkkk, 123", "").
message "Result 38: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer2).
message "Result 2000: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COMPARE tt1 TO tt2 SAVE RESULT IN result.
message "Result statement 0.003: " result.
END.

DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COMPARE tt1 EXCEPT f2 TO tt2 SAVE RESULT IN result.
message "Result statement 0.001: " result.
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-copy(hBuffer2, "f1,     f2,     f3", "f2,f2").
message "Result 1.10001: " string(bool).
END.

message "tt1.f1: " tt1.f1.
message "tt1.f2: " tt1.f2.
message "tt1.f3: " tt1.f3.

message "tt2.f1: " tt2.f1.
message "tt2.f2: " tt2.f2.
message "tt2.f3: " tt2.f3.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer2).
message "Result 7.111 (the same): " string(bool).
END.


message "tt1.f1: " tt1.f1.
message "tt1.f2: " tt1.f2.
message "tt1.f3: " tt1.f3.

message "tt2.f1: " tt2.f1.
message "tt2.f2: " tt2.f2.
message "tt2.f3: " tt2.f3.

DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer2).
message "Result 7.1: " string(bool).
END.

message "tt1.f1: " tt1.f1.
message "tt1.f2: " tt1.f2.
message "tt1.f3: " tt1.f3.

message "tt2.f1: " tt2.f1.
message "tt2.f2: " tt2.f2.
message "tt2.f3: " tt2.f3.

/*
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-copy(hBuffer4).
message "Result 1.01: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-copy(hBuffer4).
message "Result 1.03: " string(bool).
END.
*/


message "before compar".

message "tt1.f1: " tt1.f1.
message "tt1.f2: " tt1.f2.
message "tt1.f3: " tt1.f3.
message "tt1.f4: " tt1.f4.

message "tt4.f1: " tt4.f1.
message "tt4.f2: " tt4.f2.
message "tt4.f3: " tt4.f3.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer4,"case-sensitive","f3").
message "Result 2000: " string(bool).
END.


message "Test 7.2".


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4, "f1,     f2,     f3", "f1,f1").
message "Result 7.2: " string(bool).
END.

message "Test 1.1".

DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4, "f1,     f2,     f3", "f2,f2").
message "Result 1.1: " string(bool).
END.

message "Test 1.2".

DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4, "", "f1,f1").
message "Result 1.2: " string(bool).
END.

message "Test 1.3".

DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4).
message "Result 1.3: " string(bool).
END.

message "Test 2".


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer4).
message "Result 2: " string(bool).
END.

message "Test 3".

DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4, "", "f1,f1").
message "Result 3: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4, "", "f1,f2").
message "Result 4: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4, "", "f1,f2,f1,f2").
message "Result 5: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-copy(hBuffer4, "", "f1,f2,f5,f2").
message "Result 6: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-copy(hBuffer4).
message "Result 7: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer2).
message "Result 8: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-copy(hBuffer2).
message "Result 9: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer2).
message "Result 10: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer3).
message "Result 11: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer3:buffer-compare(hBuffer1).
message "Result 12: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "f1,f1").
message "Result 13: " string(bool).
END.



assign tt2.f1 = "aa"
tt2.f2 = "bb"
tt2.f3 = 3
tt2.f4 = 6.

DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer2).
message "Result 14: " string(bool).
END.


assign tt2.f1 = "aA"
tt2.f2 = "bb"
tt2.f3 = 3
tt2.f4 = 4.

DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer2).
message "Result 15: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer2, "binary").
message "Result 16: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive").
message "Result 17: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "f1").
message "Result 18: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "f11").
message "Result 19: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer3).
message "Result 20: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool=hBuffer1:buffer-compare(hBuffer3, "binary").
message "Result 21: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer3, "case-sensitive").
message "Result 22: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer3, "case-sensitive", "f1").
message "Result 23: " string(bool).
END.


DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer3, "case-sensitive", "f11").
message "Result 24: " string(bool).
END.


message "SPECIAL ERRORS".

message "Text for [case-sensitive], [], [        ,                    ]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "        ,                      ").
message "Result 25: " string(bool).
END.


message "Text for [case-sensitive], [], [,]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", ",").
message "Result 26: " string(bool).
END.


message "Text for [case-sensitive], [], [f3,]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "f3,").
message "Result 27: " string(bool).
END.


message "Text for [case-sensitive], [], [rrr, xxx]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "rrr, xxx").
message "Result 28: " string(bool).
END.



message "Text for [case-sensitive], [], [rrr.bg, xxx]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "rrr.bg, xxx").
message "Result 29: " string(bool).
END.


message "Text for [case-sensitive], [], [f1.aa, f2.aa]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "f1.aa, f2.aa").
message "Result 30: " string(bool).
END.

message "Text for [case-sensitive], [], [12, 34]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "12, 34").
message "Result 31: " string(bool).
END.

message "Text for [case-sensitive], [], [rrr, xxx, yyy]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "rrr, xxx, yyy").
message "Result 32: " string(bool).
END.

message "Text for [case-sensitive], [], [f1, xxx]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "f1, xxx").
message "Result 33: " string(bool).
END.

message "Text for [case-sensitive], [], [rrr, f2]".
/*Pair with rrr failed to have a member in each table. (9034)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "rrr, f2").
message "Result 34: " string(bool).
END.


message "Test for [case-sensitive], [], [rrr]".
/*Pairs list had too many pairs or odd number of entries. (9035)*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "rrr").
message "Result 36: " string(bool).
END.

message "Test for [case-sensitive], [], []".
/*ignored*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "", "").
message "Result 37: " string(bool).
END.

message "Test for [case-sensitive], [uuuuu, kkkkk, 123], []".
/*ignored*/
DO TRANSACTION ON ERROR UNDO, LEAVE:
bool = hBuffer1:buffer-compare(hBuffer2, "case-sensitive", "uuuuu, kkkkk, 123", "").
message "Result 38: " string(bool).
END.
